Subject: Re: + drivers-mfd-twl-corec-wtf-isnt-this-fixed-yet.patch added to -mm tree

From: Randy Dunlap <[email-masked]>
Date: Mon, 27 Feb 2012 14:47:54 -0800

On 02/27/2012 02:09 PM, Grant Likely wrote:

> On Mon, Feb 27, 2012 at 10:46 AM, Randy Dunlap <[email-masked]> wrote:
>> On 02/24/2012 03:31 PM, Grant Likely wrote:
>>
>>> On Fri, Feb 24, 2012 at 02:27:28PM -0800, [email-masked] wrote:
>>>>
>>>> The patch titled
>>>>      Subject: drivers/mfd/twl-core.c: wtf isn't this fixed yet??
>>>> has been added to the -mm tree.  Its filename is
>>>>      drivers-mfd-twl-corec-wtf-isnt-this-fixed-yet.patch
>>>>
>>>> Before you just go and hit "reply", please:
>>>>    a) Consider who else should be cc'ed
>>>>    b) Prefer to cc a suitable mailing list as well
>>>>    c) Ideally: find the original patch on the mailing list and do a
>>>>       reply-to-all to that, adding suitable additional cc's
>>>>
>>>> *** Remember to use Documentation/SubmitChecklist when testing your code ***
>>>>
>>>> The -mm tree is included into linux-next and is updated
>>>> there every 3-4 working days
>>>
>>> Hi Andrew,
>>>
>>> I've posted patchs to fix this today, and I'll push it out to my tree
>>> on the weekend so that Monday's linux-next will have this finally solved.
>>
>>
>> Did these patches get pushed??
>>
>> linux-next of 20120227 still has build errors in twl-core.c:
>>
>> drivers/mfd/twl-core.c:1237:2: error: implicit declaration of function 'irq_alloc_descs'
>> drivers/mfd/twl-core.c:1332:3: error: implicit declaration of function 'of_platform_populate'
>>
>> on both i386 and x86_64.
> 
> I pushed it out, it is in linux-next, and next-20120227 built fine for
> me.  Can you send me your .config?

One of the x86_64 failing configs is attached.
I had 5 such build failures in 20 builds.

thanks.
-- 
~Randy